org.apache.olingo.odata2.jpa.processor.api.jpql

## Class JPQLStatement.KEYWORD

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.jpql.JPQLStatement.KEYWORD

- Enclosing class:
    JPQLStatement

      public static final class JPQLStatement.KEYWORD
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COUNT`
    `static String` | `FROM`
    `static String` | `JOIN`
    `static String` | `LEFT_OUTER_JOIN`
    `static String` | `OFFSET`
    `static String` | `ORDERBY`
    `static String` | `OUTER`
    `static String` | `SELECT`
    `static String` | `SELECT_DISTINCT`
    `static String` | `TIMESTAMP`
    `static String` | `WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KEYWORD()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SELECT

          public static final String SELECT

      See Also:
        Constant Field Values

    - #### SELECT_DISTINCT

          public static final String SELECT_DISTINCT

      See Also:
        Constant Field Values

    - #### FROM

          public static final String FROM

      See Also:
        Constant Field Values

    - #### WHERE

          public static final String WHERE

      See Also:
        Constant Field Values

    - #### LEFT_OUTER_JOIN

          public static final String LEFT_OUTER_JOIN

      See Also:
        Constant Field Values

    - #### OUTER

          public static final String OUTER

      See Also:
        Constant Field Values

    - #### JOIN

          public static final String JOIN

      See Also:
        Constant Field Values

    - #### ORDERBY

          public static final String ORDERBY

      See Also:
        Constant Field Values

    - #### COUNT

          public static final String COUNT

      See Also:
        Constant Field Values

    - #### OFFSET

          public static final String OFFSET

      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final String TIMESTAMP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KEYWORD

          public KEYWORD()

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.